/* Imports */
@import url('https://fonts.googleapis.com/css2?family=Inter:ital,opsz,wght@0,14..32,100..900;1,14..32,100..900&display=swap');

/* Resets*/
*, *::before, *::after {
    margin: 0;
    padding: 0;

    box-sizing: border-box;
}

html {
    font: 16px Inter, sans-serif;
}

body {
    margin: 0;
    padding: 0;
}

h1, h2, h3, h4, h5, h6 {
    text-wrap: balance;
}

p {
    text-wrap: pretty;
}

img {
    display: block;
    max-width: 100%;
}

table {
    border-collapse: collapse;
}

input, button, textarea, select, label, legend {
    display: block;
    width: 100%;
    font: inherit;
}

/* Variables */
:root {
    --margin: 1rem;
    --color-primary: #e89b84;
    --color-error: #e63b2e;
    --radius: 5px;
}

/* Global styles */
html {
    background: #f5f5f5;
}

body {
    min-height: 100dvh;

    display: grid;
    grid-template-columns: 2fr 3fr;
    grid-template-rows: auto 1fr;
}

/* Utilities */
.muted {
    color: #777;
}